Summary:	Voice Over IP phone using SIP for QT
Name:		twinkle
Version:	1.10.3
Release:	%mkrel 4
License:	GPLv2+
Group:		Communications/Telephony
Url:		http://twinkle.dolezel.info
Source0:	https://github.com/LubosD/twinkle/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		twinkle-cmake-4.0.patch

BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	flex
BuildRequires:	qttools5
BuildRequires:	boost-devel
BuildRequires:	gsm-devel
BuildRequires:	magic-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(commoncpp)
BuildRequires:	pkgconfig(libccrtp)
BuildRequires:	pkgconfig(libilbc)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libzrtpcpp)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(ucommon)

Recommends:	qttranslations5

%description
Twinkle is a soft phone for your voice over IP communications using the SIP
protocol. You can use it for direct IP phone to IP phone communication or in
a network using a SIP proxy to route your calls.

%prep
%autosetup -p1

%build
%cmake_qt5 \
	  -DWITH_ZRTP:BOOL=ON \
	  -DWITH_GSM:BOOL=ON \
	  -DWITH_SPEEX:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS NEWS README.md THANKS
%{_bindir}/%{name}
%{_bindir}/%{name}-console
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.10.3-4.mga10
+ Revision: 2248657
- Mageia 10 Mass Rebuild

* Sun Jul 06 2025 aurr <aurr> 1.10.3-3.mga10
+ Revision: 2247757
- fix build with cmake-4.0

* Sun Mar 16 2025 wally <wally> 1.10.3-2.mga10
+ Revision: 2165050
- rebuild for libxml2 2.13.6

* Thu Oct 20 2022 ghibo <ghibo> 1.10.3-1.mga9
+ Revision: 1897851
- Update to release 1.10.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.10.2-5.mga8
+ Revision: 1660115
- Rebuild for new Qt5

* Wed Feb 19 2020 umeabot <umeabot> 1.10.2-4.mga8
+ Revision: 1542730
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 luigiwalser <luigiwalser> 1.10.2-3.mga8
+ Revision: 1476819
- rebuild for readline
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 1.10.2-2.mga7
+ Revision: 1385179
- Qt5 Rebuild

* Thu Feb 14 2019 daviddavid <daviddavid> 1.10.2-1.mga7
+ Revision: 1366972
- new version: 1.10.2 (mga#24358)
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 1.10.1-5.mga7
+ Revision: 1301480
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 daviddavid <daviddavid> 1.10.1-4.mga7
+ Revision: 1235082
- use upstream patch for Qt5 build fixes instead

* Sat Jun 02 2018 daviddavid <daviddavid> 1.10.1-3.mga7
+ Revision: 1233547
- add patch to fix build with new Qt5 >= 5.11.0 stack

* Tue Jan 02 2018 wally <wally> 1.10.1-2.mga7
+ Revision: 1189479
- rebuild for new readline

* Mon Aug 07 2017 daviddavid <daviddavid> 1.10.1-1.mga7
+ Revision: 1138392
- new version: 1.10.1
- remove merged upstream patches
- enable zrtp and gsm support

* Thu Jan 07 2016 daviddavid <daviddavid> 1.9.0-5.mga6
+ Revision: 920380
- add upstream patch to fix build with ucommon 7.0
- rebuild for new ucommon 7.0.0 and new boost 1.60.0
- use a github Source URL
+ tv <tv>
- rebuild for new boost

* Wed Oct 14 2015 alexl <alexl> 1.9.0-3.mga6
+ Revision: 891132
- add pkgconfig(speexdsp) to BR
- fix localization for qt strings (qttranslator.patch)
- s/apply_patches/autopatch/

* Sat Sep 26 2015 daviddavid <daviddavid> 1.9.0-2.mga6
+ Revision: 883874
- rebuild for new boost 1.59.0

* Tue Aug 25 2015 alexl <alexl> 1.9.0-1.mga6
+ Revision: 869295
- imported package twinkle


* Thu Mar 17 2011 Funda Wang <fwang@mandriva.org> 1.4.2-6mdv2011.0
+ Revision: 645810
- rebuild for new boost

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 1.4.2-5mdv2011.0
+ Revision: 572688
- drop kde3 conditions

* Thu Feb 25 2010 Angelo Naselli <anaselli@mandriva.org> 1.4.2-4mdv2011.0
+ Revision: 510926
- Rebuilt against new commoncpp2 1.8.0

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.4.2-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.4.2-2mdv2010.1
+ Revision: 500336
- rebuild for new boost

* Sun Nov 22 2009 Jérôme Brenier <incubusss@mandriva.org> 1.4.2-1mdv2010.1
+ Revision: 469062
- new version 1.4.2

* Thu Mar 26 2009 Funda Wang <fwang@mandriva.org> 1.4.1-2mdv2009.1
+ Revision: 361301
- rebuild for new boost

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 1.4.1-1mdv2009.1
+ Revision: 335856
- new version 1.4.1

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 1.4-1mdv2009.1
+ Revision: 333583
- new version 1.4

* Mon Dec 22 2008 Funda Wang <fwang@mandriva.org> 1.3.2-2mdv2009.1
+ Revision: 317406
- rebuild for new boost

* Wed Dec 10 2008 Adam Williamson <awilliamson@mandriva.org> 1.3.2-1mdv2009.1
+ Revision: 312607
- menu entry: run via soundwrapper
- menu entry: drop KDE category, fix icon name
- fd.o icons
- %%buildroot not $RPM_BUILD_ROOT
- move out of KDE 3 area now as it's not a KDE app built this way
- buildrequires libilbc-devel
- new release 1.3.2
- drop unnecessary defines
- drop KDE support (we're dropping KDE 3, it doesn't support KDE 4)

* Sat Nov 08 2008 Funda Wang <fwang@mandriva.org> 1.3.1-3mdv2009.1
+ Revision: 301067
- disable requirement on private libs

* Sat Aug 23 2008 Funda Wang <fwang@mandriva.org> 1.3.1-2mdv2009.0
+ Revision: 275368
- add br
- New version 1.3.1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.2-3mdv2009.0
+ Revision: 261725
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.2-2mdv2009.0
+ Revision: 255011
- rebuild

* Sun Jul 27 2008 Funda Wang <fwang@mandriva.org> 1.2-1mdv2009.0
+ Revision: 250558
- BR lrelease
- New version 1.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Mar 02 2008 Austin Acton <austin@mandriva.org> 1.1-4mdv2008.1
+ Revision: 177716
- enable KDE support (bug 36973)

* Sun Jan 13 2008 Austin Acton <austin@mandriva.org> 1.1-3mdv2008.1
+ Revision: 150571
- qt3 bin path
- rebuild for boost

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 25 2007 Austin Acton <austin@mandriva.org> 1.1-2mdv2008.0
+ Revision: 55303
- buildrequires alsa (closes 32090)

* Mon Jul 23 2007 Funda Wang <fwang@mandriva.org> 1.1-1mdv2008.0
+ Revision: 54798
- Install desktop file
- New version

* Sun May 20 2007 Austin Acton <austin@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 28874
- new version

* Thu May 17 2007 Austin Acton <austin@mandriva.org> 1.0-3mdv2008.0
+ Revision: 27538
- fix menu

* Wed May 16 2007 Austin Acton <austin@mandriva.org> 1.0-2mdv2008.0
+ Revision: 27464
- fix wrong auto requires
- build with zrtp support


* Wed Mar 14 2007 Austin Acton <austin@mandriva.org> 1.0-1mdv2007.1
+ Revision: 143851
- fix lib64 build
- build QT-only
- new version; maybe add zrtp support later
- Import twinkle

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.8.1-1mdv2007.0
- 0.8.1

* Sat Aug 12 2006 Austin Acton <austin@mandriva.org> 0.8-2mdv2007.0
- buildrequires boost-devel
- XDG menu

* Thu Jul 06 2006 Austin Acton <austin@mandriva.org> 0.8-1mdv2007.0
- New release 0.8

* Tue May 16 2006 Austin Acton <austin@mandriva.org> 0.7.1-1mdk
- initial package

